Package net.sf.saxon.trans.packages

## Class VersionedPackageName

- java.lang.Object
- - net.sf.saxon.trans.packages.VersionedPackageName

-     public class VersionedPackageName
      extends java.lang.Object

  This class represents the combination of an XSLT package name (that is, a URI) and a version number

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `packageName` |
    `PackageVersion` | `packageVersion` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionedPackageName​(java.lang.String packageName, java.lang.String version)` |
    `VersionedPackageName​(java.lang.String packageName, PackageVersion version)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `boolean` | `equalsIgnoringSuffix​(VersionedPackageName other)` | Compare two package name/version pairs for equality, ignoring the suffix part of the version number.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### packageName

          public java.lang.String packageName

    - #### packageVersion

          public PackageVersion packageVersion

  - ### Constructor Detail

    - #### VersionedPackageName

          public VersionedPackageName​(java.lang.String packageName,
                                      PackageVersion version)

    - #### VersionedPackageName

          public VersionedPackageName​(java.lang.String packageName,
                                      java.lang.String version)
                               throws XPathException

      Throws:
        `XPathException`

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equalsIgnoringSuffix

          public boolean equalsIgnoringSuffix​(VersionedPackageName other)

      Compare two package name/version pairs for equality, ignoring the suffix part of the version number. For example (http://package-one/, 2.1-alpha) compares equal to (http://package-one/, 2.1-beta)
      Parameters:
        `other` - the other name/version pair
      Returns:
        true if the values are equal in all respects other than the alphanumeric suffix of the version number.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`